<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFHeaderFooter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFHeaderFooter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeaderFooter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlink.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFHeaderFooter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFHeaderFooter" class="title">Class XWPFHeaderFooter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFHeaderFooter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                           title="interface in org.apache.poi.xwpf.usermodel">IBody</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">XWPFHeaderFooter</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>
implements <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
              title="interface in org.apache.poi.xwpf.usermodel">IBody</a></pre>
                <div class="block">Parent of XWPF headers and footers</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#XWPFHeaderFooter--">XWPFHeaderFooter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#XWPFHeaderFooter-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">XWPFHeaderFooter</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#Z:Z_getHdrFtr--">_getHdrFtr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#addPictureData-byte:A-int-">addPictureData</a></span>(byte[]&nbsp;pictureData,
                                    int&nbsp;format)</code>
                                    <div class="block">Adds a picture to the document.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#addPictureData-java.io.InputStream-int-">addPictureData</a></span>(java.io.InputStream&nbsp;is,
                                    int&nbsp;format)</code>
                                    <div class="block">Adds a picture to the document.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#clearHeaderFooter--">clearHeaderFooter</a></span>()</code>
                                    <div class="block">Clears all paragraphs and tables from this header / footer</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#createParagraph--">createParagraph</a></span>()</code>
                                    <div class="block">Adds a new paragraph at the end of the header or footer</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#createTable-int-int-">createTable</a></span>(int&nbsp;rows,
                                    int&nbsp;cols)</code>
                                    <div class="block">Adds a new table at the end of the header or footer</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPackagePictures--">getAllPackagePictures</a></span>()</code>
                                    <div class="block">get all Pictures in this package</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPictures--">getAllPictures</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getBodyElements--">getBodyElements</a></span>()</code>
                                    <div class="block">Returns an Iterator with paragraphs and tables,
                                        in the order that they occur in the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getListParagraph--">getListParagraph</a></span>()</code>
                                    <div class="block">get a List of all Paragraphs</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getOwner--">getOwner</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</code>
                                    <div class="block">if there is a corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        of the parameter ctTable in the paragraphList of this header or footer
                                        the method will return this paragraph
                                        if there is no corresponding <a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        the method will return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraphArray-int-">getParagraphArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the paragraph that holds
                                        the text of the header or footer.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getParagraphs--">getParagraphs</a></span>()</code>
                                    <div class="block">Returns the paragraph(s) that holds
                                        the text of the header or footer.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getPart--">getPart</a></span>()</code>
                                    <div class="block">returns the Part, to which the body belongs, which you need for
                                        adding relationship to other parts
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getPictureDataByID-java.lang.String-">getPictureDataByID</a></span>(java.lang.String&nbsp;blipID)</code>
                                    <div class="block">returns the PictureData by blipID</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</code>
                                    <div class="block">if there is a corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a> of
                                        the parameter ctTable in the tableList of this header
                                        the method will return this table
                                        if there is no corresponding <a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                        the method will return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTableArray-int-">getTableArray</a></span>(int&nbsp;pos)</code>
                                    <div class="block">Returns the table at position pos</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</code>
                                    <div class="block">get the TableCell which belongs to the TableCell</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getTables--">getTables</a></span>()</code>
                                    <div class="block">Return the table(s) that holds the text
                                        of the header or footer, for complex cases
                                        where a paragraph isn't used.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getText--">getText</a></span>()</code>
                                    <div class="block">Returns the textual content of the header/footer,
                                        by flattening out the text of its paragraph(s)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getXWPFDocument--">getXWPFDocument</a></span>()</code>
                                    <div class="block">Return XWPFDocument</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">add a new paragraph at position of the cursor</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a></span>(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</code>
                                    <div class="block">inserts a new Table at the cursor position.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a></span>(int&nbsp;pos,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</code>
                                    <div class="block">inserts an existing XWPFTable to the arrays bodyElements and
                                        tables
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#onDocumentRead--">onDocumentRead</a></span>()</code>
                                    <div class="block">Fired when a package part is read</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#prepareForCommit--">prepareForCommit</a></span>()</code>
                                    <div class="block">Ensure that a memory based package part does not have lingering
                                        data from previous
                                        commit() calls.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#readHdrFtr--">readHdrFtr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#removeParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">removeParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;paragraph)</code>
                                    <div class="block">Removes a specific paragraph from this header / footer</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#removeTable-org.apache.poi.xwpf.usermodel.XWPFTable-">removeTable</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</code>
                                    <div class="block">Removes a specific table from this header / footer</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#setHeaderFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr-">setHeaderFooter</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr&nbsp;headerFooter)</code>
                                    <div class="block">set a new headerFooter</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#setXWPFDocument-org.apache.poi.xwpf.usermodel.XWPFDocument-">setXWPFDocument</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xwpf.usermodel.IBody">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBody</a></h3>
                                <code><a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPartType--">getPartType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFHeaderFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFHeaderFooter</h4>
                                <pre>protected&nbsp;XWPFHeaderFooter()</pre>
                            </li>
                        </ul>
                        <a name="XWPFHeaderFooter-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFHeaderFooter</h4>
                                <pre>public&nbsp;XWPFHeaderFooter(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                        <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                           title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                 throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>by POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="onDocumentRead--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentRead</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentRead()
                       throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Fired when a package part is read</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException when a
                                        document is read
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_getHdrFtr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_getHdrFtr</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr&nbsp;_getHdrFtr()</pre>
                            </li>
                        </ul>
                        <a name="getBodyElements--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBodyElements</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBodyElement.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">IBodyElement</a>&gt;&nbsp;getBodyElements()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getBodyElements--">IBody</a></code></span>
                                </div>
                                <div class="block">Returns an Iterator with paragraphs and tables,
                                    in the order that they occur in the text.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getBodyElements--">getBodyElements</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphs</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;&nbsp;getParagraphs()</pre>
                                <div class="block">Returns the paragraph(s) that holds
                                    the text of the header or footer.
                                    Normally there is only the one paragraph, but
                                    there could be more in certain cases, or
                                    a table.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphs--">getParagraphs</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTables--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTables</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&gt;&nbsp;getTables()
                                    throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">Return the table(s) that holds the text
                                    of the header or footer, for complex cases
                                    where a paragraph isn't used.
                                    Normally there's just one paragraph, but some
                                    complex headers/footers have a table or two
                                    in addition.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTables--">getTables</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Returns the textual content of the header/footer,
                                    by flattening out the text of its paragraph(s)
                                </div>
                            </li>
                        </ul>
                        <a name="setHeaderFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeaderFooter</h4>
                                <pre>public&nbsp;void&nbsp;setHeaderFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr&nbsp;headerFooter)</pre>
                                <div class="block">set a new headerFooter</div>
                            </li>
                        </ul>
                        <a name="getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl&nbsp;ctTable)</pre>
                                <div class="block">if there is a corresponding <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a> of the
                                    parameter ctTable in the tableList of this header
                                    the method will return this table
                                    if there is no corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                    the method will return null
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctTable</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP&nbsp;p)</pre>
                                <div class="block">if there is a corresponding <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a> of
                                    the parameter ctTable in the paragraphList of this header or footer
                                    the method will return this paragraph
                                    if there is no corresponding <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                    the method will return null
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - is instance of CTP and is searching for an XWPFParagraph</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>null if there is no XWPFParagraph with an corresponding CTPparagraph in the
                                        paragraphList of this header or footer
                                        XWPFParagraph with the correspondig CTP p
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParagraphArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphArray</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;getParagraphArray(int&nbsp;pos)</pre>
                                <div class="block">Returns the paragraph that holds
                                    the text of the header or footer.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getParagraphArray-int-">getParagraphArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getListParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getListParagraph</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;&nbsp;getListParagraph()</pre>
                                <div class="block">get a List of all Paragraphs</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list of <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAllPictures--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAllPictures</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a>&gt;&nbsp;getAllPictures()</pre>
                            </li>
                        </ul>
                        <a name="getAllPackagePictures--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAllPackagePictures</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a>&gt;&nbsp;getAllPackagePictures()</pre>
                                <div class="block">get all Pictures in this package</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>all Pictures in this package</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addPictureData-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPictureData</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;addPictureData(byte[]&nbsp;pictureData,
                                       int&nbsp;format)
                                throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                          title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Adds a picture to the document.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - The picture data</dd>
                                    <dd><code>format</code> - The format of the picture.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index to this picture (0 based), the added picture can be obtained from <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPictures--"><code>getAllPictures()</code></a>
                                        .
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - If the format of the picture is not known.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addPictureData-java.io.InputStream-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPictureData</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;addPictureData(java.io.InputStream&nbsp;is,
                                       int&nbsp;format)
                                throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                          title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a>,
                                       java.io.IOException</pre>
                                <div class="block">Adds a picture to the document.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>is</code> - The stream to read image from</dd>
                                    <dd><code>format</code> - The format of the picture.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index to this picture (0 based), the added picture can be obtained from <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html#getAllPictures--"><code>getAllPictures()</code></a>
                                        .
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - If the format of the picture is not known.
                                    </dd>
                                    <dd><code>java.io.IOException</code> - If reading the picture-data from the stream
                                        fails.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureDataByID-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureDataByID</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFPictureData</a>&nbsp;getPictureDataByID(java.lang.String&nbsp;blipID)</pre>
                                <div class="block">returns the PictureData by blipID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>blipID</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XWPFPictureData of a specificID</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;createParagraph()</pre>
                                <div class="block">Adds a new paragraph at the end of the header or footer</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>new <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        object
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTable-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;createTable(int&nbsp;rows,
                             int&nbsp;cols)</pre>
                                <div class="block">Adds a new table at the end of the header or footer</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rows</code> - - number of rows in the table</dd>
                                    <dd><code>cols</code> - - number of columns in the table</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>new <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                        object
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeParagraph-org.apache.poi.xwpf.usermodel.XWPFParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeParagraph</h4>
                                <pre>public&nbsp;void&nbsp;removeParagraph(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;paragraph)</pre>
                                <div class="block">Removes a specific paragraph from this header / footer</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>paragraph</code> - - <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        object to remove
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeTable-org.apache.poi.xwpf.usermodel.XWPFTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeTable</h4>
                                <pre>public&nbsp;void&nbsp;removeTable(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</pre>
                                <div class="block">Removes a specific table from this header / footer</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> - - <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>
                                        object to remove
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clearHeaderFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearHeaderFooter</h4>
                                <pre>public&nbsp;void&nbsp;clearHeaderFooter()</pre>
                                <div class="block">Clears all paragraphs and tables from this header / footer</div>
                            </li>
                        </ul>
                        <a name="insertNewParagraph-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;insertNewParagraph(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block">add a new paragraph at position of the cursor</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cursor</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the inserted paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertNewTbl-org.apache.xmlbeans.XmlCursor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewTbl</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;insertNewTbl(org.apache.xmlbeans.XmlCursor&nbsp;cursor)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">IBody</a></code></span>
                                </div>
                                <div class="block">inserts a new Table at the cursor position.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cursor</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the inserted table</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOwner--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOwner</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;getOwner()</pre>
                            </li>
                        </ul>
                        <a name="getTableArray-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableArray</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTableArray(int&nbsp;pos)</pre>
                                <div class="block">Returns the table at position pos</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-">getTableArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableArray-int-"><code>IBody.getTableArray(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertTable</h4>
                                <pre>public&nbsp;void&nbsp;insertTable(int&nbsp;pos,
                        <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</pre>
                                <div class="block">inserts an existing XWPFTable to the arrays bodyElements and tables
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pos</code> -</dd>
                                    <dd><code>table</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readHdrFtr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readHdrFtr</h4>
                                <pre>public&nbsp;void&nbsp;readHdrFtr()</pre>
                            </li>
                        </ul>
                        <a name="getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</pre>
                                <div class="block">get the TableCell which belongs to the TableCell</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXWPFDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXWPFDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;getXWPFDocument()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getXWPFDocument--">IBody</a></code></span>
                                </div>
                                <div class="block">Return XWPFDocument</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getXWPFDocument--">getXWPFDocument</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXWPFDocument-org.apache.poi.xwpf.usermodel.XWPFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXWPFDocument</h4>
                                <pre>public&nbsp;void&nbsp;setXWPFDocument(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</pre>
                            </li>
                        </ul>
                        <a name="getPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPart</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;getPart()</pre>
                                <div class="block">returns the Part, to which the body belongs, which you need for
                                    adding relationship to other parts
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--">getPart</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                                title="interface in org.apache.poi.xwpf.usermodel">IBody</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Part, to which the body belongs</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--"><code>IBody.getPart()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="prepareForCommit--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>prepareForCommit</h4>
                                <pre>protected&nbsp;void&nbsp;prepareForCommit()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Ensure that a memory based package part does not have lingering data
                                    from previous
                                    commit() calls.
                                    <p>
                                        Note: This is overwritten for some objects, as *PictureData seem to store the
                                        actual content
                                        in the part directly without keeping a copy like all others therefore we need to
                                        handle them differently.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeaderFooter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHyperlink.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFHeaderFooter.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFHeaderFooter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
